import { useQuery } from '@tanstack/react-query';
import { useInject } from '@/lib/di/hooks/useInject';
import { LEAGUE_SERVICE_TOKEN } from '@/lib/di/tokens';
import { enhanceQueryResult } from '@/lib/di/hooks/useReactQueryWithApiError';

export function useAllLeagues() {
  const leagueService = useInject(LEAGUE_SERVICE_TOKEN);

  const queryResult = useQuery({
    queryKey: ['allLeagues'],
    queryFn: () => leagueService.getAllLeagues(),
    retry: false,
    refetchOnWindowFocus: false,
  });

  return enhanceQueryResult(queryResult);
}